=== debian/changelog ===
tinyxml2 (10.0.0+dfsg-2) unstable; urgency=medium

  [ Jenkins ]
  * [c0b0d65] Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository, Repository-Browse.
    Changes-By: lintian-brush
    Fixes: lintian: upstream-metadata-file-is-missing
    Fixes: lintian: upstream-metadata-missing-bug-tracking
    Fixes: lintian: upstream-metadata-missing-repository
  * [089faba] Remove Section on libtinyxml2-9 that duplicates source.
    Changes-By: lintian-brush
    Fixes: lintian: binary-control-field-duplicates-source

  [ Debian Janitor ]
  * [5c99140] Use secure URI in Homepage field.
    Changes-By: lintian-brush
    Fixes: lintian: homepage-field-uses-insecure-uri
  * [f16bddf] Bump debhelper from old 12 to 13.
    Changes-By: lintian-brush
    Fixes: lintian: package-uses-old-debhelper-compat-version
  * [b8747ae] Remove constraints unnecessary since buster (oldstable)
    * Build-Depends: Drop versioned constraint on dpkg-dev.
    Changes-By: deb-scrub-obsolete

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 05 Jan 2024 23:29:38 +0800

tinyxml2 (10.0.0+dfsg-1) unstable; urgency=medium

  * [31b2418] New upstream version 10.0.0+dfsg
  * [b38f32c] Refresh patches
  * [d00e929] Rename binary package for soname bump
  * [70c9b49] Update symbols file

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 05 Jan 2024 23:29:34 +0800

tinyxml2 (9.0.0+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install cmake files (Closes: #967045)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 16 May 2022 11:14:34 +0200

tinyxml2 (9.0.0+dfsg-3) unstable; urgency=medium

  * [a6e98f0] Drop Provides/Conflicts libtinyxml2-8 (Closes: #992602)

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 21 Aug 2021 22:50:44 +0800

tinyxml2 (9.0.0+dfsg-2) unstable; urgency=medium

  * Reupload to unstable

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 20 Aug 2021 19:22:15 +0800

tinyxml2 (9.0.0+dfsg-1) experimental; urgency=medium

  * [1915c59] New upstream version 9.0.0+dfsg
  * [7afaa6f] Update package name and symbols file for soname bump

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 08 Jun 2021 01:24:52 +0800

tinyxml2 (8.1.0+really8.1.0+dfsg-1) experimental; urgency=medium

  * [565d5af] New upstream version 8.1.0+really8.1.0+dfsg
  * [5efb233] Revert debian/* to the state at 8.1.0+dfsg-2
  * [43398c1] Amend version for the new symbol introduced in 8.1.0.
    Since 8.1.0 now precedes 8.1.0+really8.0.0, we need to bump this version to
    get proper versioning.

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 05 Jun 2021 17:25:41 +0800

tinyxml2 (8.1.0+dfsg-2) experimental; urgency=medium

  * [0c13ef0] Rename package for abi break (Closes: #988986)

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 01 Jun 2021 16:01:13 +0800
