## tinyxml2 10.1.0+dfsg

=== debian/changelog ===
tinyxml2 (10.1.0+dfsg-1) unstable; urgency=medium

  * [e3fe268] New upstream version 10.1.0+dfsg
    - Fixes CVE-2024-50615 (Closes: #1088814)
  * [4b330c9] Refresh patches
  * [870daa6] Update watch file to version 4 and use example from uscan manpage

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 14 Mar 2025 12:49:48 +0800
