=== debian/changelog ===
tinyxml2 (11.0.0+dfsg-1) unstable; urgency=medium

  * [cb69d19] New upstream version 11.0.0+dfsg
  * [b97c731] Rename package for soname bump

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 17 Mar 2025 15:44:04 +0800
