=== debian/control ===
Source: tinyxml2
Priority: optional
Maintainer: Chow Loong Jin <hyperair@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake
Build-Conflicts: libssl1.0.0 (= 1.0.2-1)
Standards-Version: 4.1.3
Section: libs
Homepage: https://www.grinninglizard.com/tinyxml2/
Vcs-Browser: https://salsa.debian.org/debian/tinyxml2
Vcs-Git: https://salsa.debian.org/debian/tinyxml2.git

Package: libtinyxml2-dev
Section: libdevel
Architecture: any
Depends: libtinyxml2-11 (= ${binary:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: TinyXML2 library - header and static library
 This package contains the header file and a static version of the
 TinyXML2 library.
 .
 TinyXML2 is a simple and small C++ XML parser that can be easily integrating
 into other programs. It reads XML and creates C++ objects representing the XML
 document. The objects can be manipulated, changed, and saved again as XML.
 .
 TinyXML2 supersedes the previous TinyXML library, with various improvements:
  - Fewer memory allocations (1% - 10% compared to TinyXML)
  - Uses less memory (about 40% of that used by TinyXML)
  - Faster
  - No STL requirement
  - More modern C++, including a proper namespace
  - Proper and useful handling of whitespace

Package: libtinyxml2-11
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: C++ XML parsing library
 This package contains the shared version of the TinyXML2 library.
 .
 TinyXML2 is a simple and small C++ XML parser that can be easily integrating
 into other programs. It reads XML and creates C++ objects representing the XML
 document. The objects can be manipulated, changed, and saved again as XML.
 .
 TinyXML2 supersedes the previous TinyXML library, with various improvements:
  - Fewer memory allocations (1% - 10% compared to TinyXML)
  - Uses less memory (about 40% of that used by TinyXML)
  - Faster
  - No STL requirement
  - More modern C++, including a proper namespace
  - Proper and useful handling of whitespace
