=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/default.mk

override_dh_auto_configure:
	dh_auto_configure -Bbuild -Scmake --			      \
		-DCMAKE_INSTALL_LIBDIR:PATH=lib/$(DEB_HOST_MULTIARCH) \
		-DBUILD_SHARED_LIBS=yes

override_dh_auto_clean:
	rm -rf build

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

%:
	dh $@ -Bbuild -Scmake
